# Uses of Interface
org.eclipse.jdt.core.dom.IModuleBinding

Packages that use IModuleBinding
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.

## Uses of IModuleBinding in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return IModuleBinding
Modifier and Type
Method
Description
`default IModuleBinding`
IPackageBinding.`getModule()`
Returns the binding of the module associated with this package binding.
`default IModuleBinding`
ITypeBinding.`getModule()`
Returns the binding of the module associated with the package in which this type is declared.
`IModuleBinding[]`
IModuleBinding.`getRequiredModules()`
Returns all required modules.
`IModuleBinding[]`
IModuleBinding.`getRequiredTransitiveModules()`
Returns all modules that are required with the modifier "transitive".
`IModuleBinding`
ModuleDeclaration.`resolveBinding()`
Resolves and returns the binding for the module.

## Uses of IModuleBinding in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite with parameters of type IModuleBinding
Modifier and Type
Method
Description
`String`
ImportRewrite.`addModuleImport(String name, IModuleBinding moduleBinding)`
Adds a new module import to the rewriter's record.
`static List<IPackageBinding>`
ImportRewrite.`getPackageBindingsForModule(IModuleBinding binding, IJavaProject project)`
Calculate the list of package names that are exported, explicitly or implicitly, by a module.
`static List<String>`
ImportRewrite.`getPackageNamesForModule(IModuleBinding binding, IJavaProject project)`
Calculate the list of package names that are exported, explicitly or implicitly, by a module.